commit:     9156353647f09548498d0ceb6850a4672d8a15d7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 21:07:45 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 21:09:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91563536

dev-python/twisted: Bump to 21.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/twisted/Manifest              |   1 +
 dev-python/twisted/twisted-21.2.0.ebuild | 167 +++++++++++++++++++++++++++++++
 2 files changed, 168 insertions(+)

diff --git a/dev-python/twisted/Manifest b/dev-python/twisted/Manifest
index 0272c5077b2..2c0ee46f9bf 100644
--- a/dev-python/twisted/Manifest
+++ b/dev-python/twisted/Manifest
@@ -1,3 +1,4 @@
 DIST Twisted-19.10.0.tar.bz2 3118485 BLAKE2B 
a0d532b67177aa017e463bf823d7842d4f6ff694f78cd7600865718ffe861023a53ea6a922f7de232133edba26f5255074d7ef277ce8f3bdf02d556ccf4abf41
 SHA512 
de8d7fd0b2081cebeff68b060c8469377011648bc563a94a993d3530fb007ed42c3a54925c9a10c465ee7a3065cc9108ace12d10d358223fab13494becb9ac4b
 DIST Twisted-20.3.0.tar.bz2 3127793 BLAKE2B 
2e85fc3ec26d89e563c9e79a5d2adea81ff1745d18f0f92b8d45ae3729fbddf09998664257880372c7a4caeb5977c5cad7c863596b8c27ad7890275cead9f763
 SHA512 
1b850e5fc21a3630ead4c2cc3622c16e78bb3be38ab11d021779b7ce3d3c30acc4e19d79c7791a5fce6c5c6e09c2baa349901dffe952de67dd98eec419846365
+DIST twisted-21.2.0.tar.gz 3882978 BLAKE2B 
ba37572b0f9eadf2962a2730e4c2c0ed65f582b11b3350034660a2c53c5cd0892b19867d19e0201d4808c09fca621dbe540d153dc6c7d5827d45d2423d19d28b
 SHA512 
fa743dcf22f3c17dfd17f39b7df0cc31fb8ce3e989478ada9a026424ec2de35e6a403ef35acdef5905eed008d42e3c2fee6b7ccdda433e6c250f1feaa83ea8a4
 DIST twisted-regen-cache.gz 911 BLAKE2B 
ffd3fcda6c67ffe6fd3ef581c8d507548396b66ed0708e9a5c790095e579c0d5f0f71596acf05712989da2ddef2b8d437eca973bc4d80ef8a9fa852915f38305
 SHA512 
95a9b931c73017d16d1b5e6b41345dddffe62b6af1a8e93b5e40d06d3d15be17b0dd0181c767ffeeb791534d463764ef9e066fa6c2ee2ac4b53c86d1da8fce03

diff --git a/dev-python/twisted/twisted-21.2.0.ebuild 
b/dev-python/twisted/twisted-21.2.0.ebuild
new file mode 100644
index 00000000000..7e25407c020
--- /dev/null
+++ b/dev-python/twisted/twisted-21.2.0.ebuild
@@ -0,0 +1,167 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="An asynchronous networking framework written in Python"
+HOMEPAGE="https://www.twistedmatrix.com/trac/";
+SRC_URI="
+       https://github.com/twisted/twisted/archive/${P}.tar.gz
+       https://dev.gentoo.org/~mgorny/dist/twisted-regen-cache.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="conch crypt http2 serial test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/automat-0.3.0[${PYTHON_USEDEP}]
+       >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+       >=dev-python/hyperlink-17.1.1[${PYTHON_USEDEP}]
+       >=dev-python/incremental-16.10.1[${PYTHON_USEDEP}]
+       >=dev-python/pyhamcrest-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-4.4.2[${PYTHON_USEDEP}]
+       conch? (
+               >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+               dev-python/bcrypt[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-1.5.0[${PYTHON_USEDEP}]
+               dev-python/pyasn1[${PYTHON_USEDEP}]
+       )
+       crypt? (
+               >=dev-python/pyopenssl-16.0.0[${PYTHON_USEDEP}]
+               dev-python/service_identity[${PYTHON_USEDEP}]
+               >=dev-python/idna-0.6[${PYTHON_USEDEP}]
+       )
+       serial? ( >=dev-python/pyserial-3.0[${PYTHON_USEDEP}] )
+       http2? (
+               >=dev-python/hyper-h2-3.0.0[${PYTHON_USEDEP}]
+               <dev-python/hyper-h2-4.0.0[${PYTHON_USEDEP}]
+               >=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
+               <dev-python/priority-2.0[${PYTHON_USEDEP}]
+       )
+       !dev-python/twisted-core
+       !dev-python/twisted-conch
+       !dev-python/twisted-lore
+       !dev-python/twisted-mail
+       !dev-python/twisted-names
+       !dev-python/twisted-news
+       !dev-python/twisted-pair
+       !dev-python/twisted-runner
+       !dev-python/twisted-words
+       !dev-python/twisted-web
+"
+BDEPEND="
+       >=dev-python/incremental-16.10.1[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-0.9.1[${PYTHON_USEDEP}]
+               dev-python/cython-test-exception-raiser[${PYTHON_USEDEP}]
+               dev-python/gmpy[${PYTHON_USEDEP}]
+               dev-python/idna[${PYTHON_USEDEP}]
+               dev-python/pyasn1[${PYTHON_USEDEP}]
+               >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+               dev-python/pyserial[${PYTHON_USEDEP}]
+               dev-python/service_identity[${PYTHON_USEDEP}]
+               net-misc/openssh
+       )
+"
+
+S=${WORKDIR}/${PN}-${P}
+
+python_prepare_all() {
+       # upstream test for making releases; not very useful and requires
+       # sphinx (including on py2)
+       rm src/twisted/python/test/test_release.py || die
+
+       # puts system in EMFILE state, then the exception handler may fail
+       # trying to open more files due to some gi magic
+       sed -e '/SKIP_EMFILE/s:False:True:' \
+               -i src/twisted/internet/test/test_tcp.py || die
+
+       # multicast tests fail within network-sandbox
+       sed -e 's:test_joinLeave:_&:' \
+               -e 's:test_loopback:_&:' \
+               -e 's:test_multiListen:_&:' \
+               -e 's:test_multicast:_&:' \
+               -i src/twisted/test/test_udp.py || die
+
+       # accesses /dev/net/tun
+       sed -e '/class RealDeviceTestsMixin/a\
+    skip = "Requires extra permissions"' \
+               -i src/twisted/pair/test/test_tuntap.py || die
+
+       # relies on the pre-CVE parse_qs() behavior in Python
+       sed -e '/d=c;+=f/d' \
+               -i src/twisted/web/test/test_http.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       # TODO: upstream seems to override our build paths
+       distutils_install_for_testing
+
+       "${EPYTHON}" -m twisted.trial twisted ||
+               die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       cd "${D}$(python_get_sitedir)" || die
+
+       # own the dropin.cache so we don't leave orphans
+       touch twisted/plugins/dropin.cache || die
+
+       python_doscript "${WORKDIR}"/twisted-regen-cache
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       newconfd "${FILESDIR}/twistd.conf" twistd
+       newinitd "${FILESDIR}/twistd.init" twistd
+}
+
+python_postinst() {
+       twisted-regen-cache || die
+}
+
+pkg_postinst() {
+       python_foreach_impl python_postinst
+
+       einfo "Install complete"
+       if use test ; then
+               einfo ""
+               einfo "Some tests have been disabled during testing due to"
+               einfo "known incompatibilities with the emerge sandboxes and/or"
+               einfo "not runnable as the root user."
+               einfo "For a complete test suite run on the code."
+               einfo "Run the tests as a normal user for each python it is 
installed to."
+               einfo "  ie:  $ python3.6 /usr/bin/trial twisted"
+       fi
+}
+
+python_postrm() {
+       rm -f "${ROOT}$(python_get_sitedir)/twisted/plugins/dropin.cache" || die
+}
+
+pkg_postrm() {
+       # if we're removing the last version, remove the cache file
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               python_foreach_impl python_postrm
+       fi
+}

Reply via email to